name: Ben Cowdry
locality:
country: United Kingdom
role: <a href="/job-families/people-ops/recruiter/">Senior Recruiter</a>
reports_to: rallen3
picture: bencowdry.png
pronouns: he/him
pronunciation:
twitter:
linkedin: https://www.linkedin.com/in/bencowdry
gitlab: bcowdry
departments:
  - Talent Acquisition
  - People Group 
specialty: Sales
expertise:
story:

